//------------------------------------------------------------------------------
//                         Copyright 2003, P. Hulshoff
//                               The Netherlands
//------------------------------------------------------------------------------
//    This file is part of MAMED.
//
//    MAMED is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    MAMED is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with MAMED; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
//------------------------------------------------------------------------------


#ifndef _FILEIO_H
#define _FILEIO_H


//------------------------------------------------------------------------------
//                                Functions
//------------------------------------------------------------------------------


// Read the gamelists "gamelist" and "catver.ini" and generate the gamelist
void read_gamelist( );
void read_config( );
void write_mamedgamelistfile( );


//------------------------------------------------------------------------------
//                                  Types
//------------------------------------------------------------------------------


enum display_t {screenshot, flyer, titleshot, cabinet, marquee, cycle};
typedef enum display_t display_type;


#endif // _FILEIO_H
